1. API reference
  2. Opportunities

List opportunities

GEThttps://howdybell.com/api/v1/opportunities

Returns a list of opportunities for the specified location, ordered by most recently moved. You can filter by pipeline_id or stage_id. Returns at most 500 results.

Parameters

  • location_idintegerRequiredquery

    The location to work in. Must belong to your workspace.

  • pipeline_idintegerquery

    Filter opportunities by pipeline ID.

  • stage_idintegerquery

    Filter opportunities by stage ID.

Responses

200

  • dataarray of string
RequestcURL
curl -X GET "https://howdybell.com/api/v1/opportunities?location_id=1" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "data": [
    {
      "id": 9,
      "contact": {
        "id": 9,
        "name": "Katelyn Vasquez"
      },
      "pipeline": {
        "id": 1,
        "name": "Sales"
      },
      "stage": {
        "id": 1,
        "name": "New",
        "kind": "open",
        "color": "#0288D1"
      },
      "name": null,
      "value_cents": 1550000,
      "owner": {
        "id": 3,
        "name": "Priya Shah"
      },
      "status": "open",
      "lost_reason": null,
      "stage_entered_at": "2026-09-23T10:00:00.000000Z",
      "closed_at": null,
      "created_at": "2026-09-23T10:00:00.000000Z",
      "updated_at": "2026-09-23T10:00:00.000000Z"
    },
    {
      "id": 4,
      "contact": {
        "id": 4,
        "name": "Colby Vantrease"
      },
      "pipeline": {
        "id": 1,
        "name": "Sales"
      },
      "stage": {
        "id": 1,
        "name": "New",
        "kind": "open",
        "color": "#0288D1"
      },
      "name": null,
      "value_cents": 360000,
      "owner": null,
      "status": "open",
      "lost_reason": null,
      "stage_entered_at": "2026-09-23T10:00:00.000000Z",
      "closed_at": null,
      "created_at": "2026-09-23T10:00:00.000000Z",
      "updated_at": "2026-09-23T10:00:00.000000Z"
    }
  ]
}
List opportunities (GET /api/v1/opportunities) | HowdyBell Developers